summaryrefslogtreecommitdiff
path: root/app-misc/patchmanager/patchmanager-2.2.31295.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'app-misc/patchmanager/patchmanager-2.2.31295.ebuild')
-rw-r--r--app-misc/patchmanager/patchmanager-2.2.31295.ebuild52
1 files changed, 52 insertions, 0 deletions
diff --git a/app-misc/patchmanager/patchmanager-2.2.31295.ebuild b/app-misc/patchmanager/patchmanager-2.2.31295.ebuild
new file mode 100644
index 0000000..5f42c24
--- /dev/null
+++ b/app-misc/patchmanager/patchmanager-2.2.31295.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop xdg
+
+DESCRIPTION="Comprehensive cable and asset management software"
+HOMEPAGE="https://patchmanager-prod.wpi.edu"
+SRC_URI="https://patchmanager.wpi.edu/launchers/PATCH%20MANAGER_launcher_installer_2-2-31295.deb -> patchmanager.deb"
+
+LICENSE="custom"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+BDEPEND=""
+
+src_unpack() {
+ unpack ${A}
+ tar xvf data.tar.xz || die
+
+ mkdir -p "${S}" || die
+}
+
+
+src_prepare() {
+ true
+}
+src_prepare() {
+ elog "Am I even getting called?"
+ eapply_user
+ true
+}
+
+
+src_install() {
+ cp -r "${WORKDIR}/opt" "${D}/" || die
+ cp -r "${WORKDIR}/usr" "${D}/" || die
+
+ install -Dm0755 "${WORKDIR}/opt/PATCH MANAGER/PATCHMANAGER" "${D}/usr/bin/patchmanager" || die
+ make_desktop_entry ${PN} ${PN} ${PN} "GTK;GNOME;"
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+}
+
+pkg_prerm() {
+ xdg_icon_cache_update
+}